Bug 821456 - [RHEVM] [GUI] inconsistent capitalization of the term 'VLAN' in the UI [TEXT]
[RHEVM] [GUI] inconsistent capitalization of the term 'VLAN' in the UI [TEXT]
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Noam Slomianko
Martin Pavlik
Depends On:
Blocks: 709060 830832
  Show dependency treegraph
Reported: 2012-05-14 10:36 EDT by Martin Pavlik
Modified: 2016-02-10 14:55 EST (History)
9 users (show)

See Also:
Fixed In Version: si15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-12-04 15:06:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
inconsistent VLAN description (159.66 KB, image/png)
2012-05-14 10:36 EDT, Martin Pavlik
no flags Details
screenshot 2 (173.50 KB, image/png)
2012-06-08 07:16 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-05-14 10:36:17 EDT
Created attachment 584378 [details]
inconsistent VLAN description

Description of problem:
New Setup Hosts Network dialog is using different combinations of samall/capital letters for word VLAN. Through webadmin GUI it is possible to find following variants: 


see screenshot

Version-Release number of selected component (if applicable):
oVirt Enterprise Virtualization Engine Manager Version: 3.1.0_0001-9.el6ev 

How reproducible:

Steps to Reproduce:
1. Data centers -> your Data Center -> Logical Networks -> New
   a) fill in name
   b) Eheck enable VLAN taggigng (first occurence of VLAN word)
   c) fill in VLAN ID e.g. 1234
   d) check your cluster under Assign Networks to Cluster(s)

2. Hosts -> your host -> Network Interfaces -> Setup Hosts Networks -> hoover the mouse over newly created VLAN
Actual results:
"vlan" in small letters after Logical Network name
"Vlan:" in popup which appears when you hoover the mouse over new VLAN

Expected results:
all nonoccurrence of VLAN should be in capital letters since it is an acronym for Virtual Local Area Network 

Additional info:
Comment 1 Martin Pavlik 2012-06-08 07:16:23 EDT
There is also wrong capitalization in tab 
Hosts -> your host -> Network interfaces (see screenshot 2)
Comment 2 Martin Pavlik 2012-06-08 07:16:54 EDT
Created attachment 590407 [details]
screenshot 2
Comment 3 Alona Kaplan 2012-08-15 09:25:39 EDT
upstream commit a86718ea55333c9f61b15573fbf453ff9d2bc723

Note You need to log in before you can comment on or make changes to this bug.